<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/include_case_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/caseClassLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷类型"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseClassView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="5dp"
                    android:layout_toStartOf="@id/v"
                    android:text="请选择"
                    android:textColor="@color/darkGray"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    android:id="@+id/v"
                    style="@style/rightImageStyle"
                    android:background="@drawable/ic_right" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout
                android:id="@+id/caseLargeClassLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷大类"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseLargeClassView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="5dp"
                    android:layout_toStartOf="@id/vv"
                    android:text="请选择"
                    android:textColor="@color/darkGray"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    android:id="@+id/vv"
                    style="@style/rightImageStyle"
                    android:background="@drawable/ic_right" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout
                android:id="@+id/caseSmallClassLayout"
                style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷小类"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/caseSmallClassView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginEnd="5dp"
                    android:layout_toStartOf="@id/vvv"
                    android:text="请选择"
                    android:textColor="@color/darkGray"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    android:id="@+id/vvv"
                    style="@style/rightImageStyle"
                    android:background="@drawable/ic_right" />
            </RelativeLayout>

            <include layout="@layout/line" />


            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="经\u3000\u3000度"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/longitudeView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="@dimen/margin_10dp"
                    android:layout_toStartOf="@id/locationMapView"
                    android:paddingHorizontal="3dp"
                    android:paddingVertical="5dp"
                    android:textSize="@dimen/textFontSize" />

                <ImageView
                    android:id="@+id/locationMapView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:background="@drawable/ic_map" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="纬\u3000\u3000度"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/latitudeView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="@dimen/margin_10dp"
                    android:paddingHorizontal="3dp"
                    android:paddingVertical="5dp"
                    android:textSize="@dimen/textFontSize" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="社\u3000\u3000区"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/communityNameView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/bg_layout"
                    android:paddingHorizontal="3dp"
                    android:paddingVertical="5dp" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷地点"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/caseLocationView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/bg_layout"
                    android:maxLength="50"
                    android:paddingHorizontal="3dp"
                    android:paddingVertical="5dp" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷情况"
                    android:textSize="@dimen/textFontSize" />

                <EditText
                    android:id="@+id/caseDetailEditView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/bg_layout"
                    android:gravity="top"
                    android:hint="请输入少于50个字的案卷情况描述"
                    android:maxLength="50"
                    android:paddingHorizontal="3dp"
                    android:paddingVertical="5dp" />
            </RelativeLayout>

            <include layout="@layout/line" />

            <RelativeLayout style="@style/itemLayoutStyle">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableEnd="@mipmap/point"
                    android:text="案卷图片"
                    android:textSize="@dimen/textFontSize" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="100dp"
                    android:layout_marginEnd="10dp"
                    android:orientation="vertical">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/selectedResultView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="10dp"
                        android:scrollbars="none" />

                    <ImageView
                        android:id="@+id/addImageView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/bg_layout"
                        android:padding="15dp"
                        android:src="@drawable/ic_add_black" />
                </LinearLayout>
            </RelativeLayout>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/submitButton"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="30dp"
                android:paddingVertical="7dp"
                android:text="提交"
                android:textColor="@color/white"
                android:textSize="@dimen/titleFontSize"
                app:qmui_backgroundColor="@color/mainThemeColor"
                app:qmui_radius="5dp" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>